V1.16.1
[QMS-396] Save route sub-points as ordinary route points in case of track routing
[QMS-400] Set focus in text field
[QMS-401] Crash when using "select items on map" with a large amount of items
[QMS-412] Track: Endless loop for user defined limits min 0.
[QMS-414] Last point information not fully displayed in the range tool window
[QMS-421] Change of map view name is not taken into account in POI tab
[QMS-427] Adding new map paths is broken
[QMS-436] Store/restore name of map view
[QMS-438] Replace 'exportToProj4' by 'exportToWkt' to preserve "towgs84" datum shift when needed.
[QMS-439] Add number of tracks in a project in headline in detail project track
[QMS-441] "Hide invalid points" does not hide anything when 1st trackpoint has no elevation data
[QMS-444] Fix wrong link to POI path setup in Spanish translation file
[QMS-449] Early call to abort() in CLogHandler.cpp (Windows version)
[QMS-453] QMS crashes when first layer in TMS is <Layer idx="1">

V1.16.0
[QMS-220] "Select items from map" misses items
[QMS-275] Routino: Add Spanish and Czech as selectable languages for turn instructions
[QMS-279] Track metrics not updated when using UNDO / REDO in Edit mode
[QMS-282] Tags icons/rating disappear from workspace after saving and closing a project
[QMS-285] WMTS-based maps aren't restored correctly
[QMS-297] Add GUI framework for POI databases
[QMS-299] CEnergyCycling is storing it's configuration in the `General` section instead of it's own.
[QMS-301] Load POI file
[QMS-303] Add POI icons
[QMS-307] Optimization of POI query
[QMS-311] Automatically save projects to device
[QMS-313] UX improvements for POIs
[QMS-314] Fix/Add POI categories
[QMS-315] Make POI Icons User-Selectable
[QMS-317] Enable user to add POI to project via right-click
[QMS-318] Change poi_t to use radians
[QMS-321] Improve name selection for POI
[QMS-322] Make POIs show up in 'Select Items On Map'
[QMS-337] Upgrade to Proj 8 API
[QMS-343] .fit files from Suunto app have many trackpoints with elevation = 0
[QMS-344] Better integration of new PROJ lib into cmake build system
[QMS-349] Upgrade to Quazip Qt5 V1.x
[QMS-353] "Select Items on Map" does not update when items are removed
[QMS-354] Refactor the code to get rid of clazy warnings
[QMS-360] Fix compile flags for Windows 64bit
[QMS-362] Fit files containing more than one developer data ID cannot be opened. e.g. from a Garmin FR 935 and a connected Stryd footpod
[QMS-363] GIS items missing in projects loaded from file or database
[QMS-371] Crash while loading geocache from TwoNav device
[QMS-373] Refine templates to hide comments
[QMS-375] On-screen profile window has no close button
[QMS-378] Add option to link map views
[QMS-380] Toggle fullscreen does not work
[QMS-382] QMapTool: Allow customized GDAL parameters
[QMS-384] Add Garmin Fit power data to support powermeter pedals
[QMS-389] Crash when loading/drawing POIs
[QMS-391] Adapt Windows build scripts to PROJ.8/Quazip 1.x


V1.15.2
[QMS-264] Windows: adapt build scripts for 1.15.1 release
[QMS-265] Configuring BRouter offline on MacOS crashes
[QMS-268] Crash after closing project where range is being selected
[QMS-270] Windows: rename LICENSE file to 1LICENSE.txt
[QMS-273] Windows: install Help search index files

V1.15.1
[QMS-158] Change Routino Profiles search for [prefix-]profiles.xml
[QMS-216] QMapShack does not compile with Qt-5.15
[QMS-217] Fix crash due to faulty profiles.xml
[QMS-223] Add additional filter properties
[QMS-231] Improve English spelling
[QMS-235] Save track profile window's geometry when window gets closed
[QMS-240] Fix negative courses in the ruler tool
[QMS-244] Unable to create rotino database (planetsplitter: cannot open file)
[QMS-247] Build error: "Target "qmapshack" links to target "Qt5::Positioning" but the target was not found"
[QMS-254] MySQL: QMapShack does not automatically reconnect
[QMS-257] Import gpx file to group folder does not trigger update
[QMS-260] QMapTool: Enhance cut tool to work with files containig reference information
[QMS-262] Wrong timestamp when loading FIT

V1.15.0
[QMS-68] Route Optimization
[QMS-132] DEMs: Make the scale range control cut off not only rendering but also loading or requesting the data.
[QMS-134] Rework track range selection from scratch
[QMS-135] Improved French translation
[QMS-140] Enhancements for OS X release
[QMS-146] Fix issues with built-in online maps
[QMS-148] Misplaced track info window
[QMS-151] Missing tooltip in route toolbar
[QMS-153] Improved French translation
[QMS-156] Request to unmount systemdrive on startup
[QMS-164] Workspace filter is not applied to newly loaded projects
[QMS-165] OSX: GIS files not loaded when clicked
[QMS-172] Select action "for all" in Database Conflict
[QMS-173] Misleading help text for DEM range slider
[QMS-178] Automate list of code contributors in about dialog
[QMS-183] Backward range selection causing small issues
[QMS-192] Fix URLs still pointing to the bitbucket wiki
[QMS-201] Fix GDAL deprecation warnings
[QMS-204] Garmin Map: Fix crash because of bad codec number
[QMS-207] Fixing Availability of Geocaches

V1.14.1
[QMS-37] Inconsistent use of time zones
[QMS-43] Individual filter for each project
[QMS-49] Add "elevation limit" to DEM to highlight elevation above the limit
[QMS-58] Windows Build and Installer: use PROJ 6.2
[QMS-59] Version information in window title does not contain VERSION_SUFFIX "development"
[QMS-64] Cleanup code in IUnit and subclasses
[QMS-73] Info of a geocache is not correctly shown in Copy Element Window
[QMS-79] Possibility to 'star' Waypoints
[QMS-80] Use ASAN to enhance code quality
[QMS-83] Application Crash
[QMS-89] Geo search hidden after restarting QMapShack
[QMS-100] Avoid whitespaces in project name and keywords
[QMS-108] Integrate Wiki Page as help dialog
[QMS-109] Direct link to geocaching logging page
[QMS-111] Geocaching logging page - only 1 server used
[QMS-116] Filter edit field lost
[QMS-118] Too much whitespace in extended search help window
[QMS-119] Better handling of disabled and archived geocaches
[QMS-125] Missing icon for not available geocache
[QMS-126] Wrong results searching for geocache status
[QMS-122] Windows: support for offline help

V1.14.0
[QMS-5] App crashes on using the "Change Start Point" filter
[QMS-6] Enhance overview detection for VRT maps
[QMS-8] Incorrect elevation for fit files from GPSMAP 66s
[QMS-12] Unify versions of all QMapShack tools
[QMS-13] Add support for Garmin Edge 500
[QMS-14] Drawing track: Alternate mode O A V T with a simple key with no modifiers
[QMS-18] Improved explanation of 'Date equals'
[QMS-19] Invalid GPX due to `::` in `ql` namespace
[QMS-20] Windows Start Menu - change links from bitbucket to github
[QMS-22] Aviation units: nm for distances and feet for altitude
[QMS-27] Error in workspace search for attributes
[QMS-31] Fix all links to Bitbucket in the code
[QMS-53] Unload Garmin `Archive` when folder is deflated
[QMS-54] Invalid point cannot be deactivated when tracks are read from the navigation device


------------------------------------------------------------------------
---------Restart issue numbering because of migration to GitHub---------
------------------------------------------------------------------------
V 1.13.2
[Issue #446] Advanced Filtering System
[Issue #491] Skip saving of geo search
[Issue #493] "Clone Waypoint and Move Clone" does not Respect Chosen Units
[Issue #488] Printing Preview
[Issue #494] BRouter segments download error
[Issue #499] Screen overflow German localisation on a Notebook with 1.600 x 900 pixel
[Issue #500]  Tab order in Filter Cycle dialog is confused
[Issue #498 ] BRouter setup issue (Windows)
Add: Computation of "Energy Use Cycling" (consumption) for cycling tours

V 1.13.1
[Issue #451] Make red border around a highlighted track an option
[Issue #452] Project Details: Add elevation info to entries with track point information.
[Issue #455] Profile Plot: Add option to show waypoint labels along line
[Issue #456] Clean up code regarding track info, attached wpt and hidden flag.
[Issue #460] Missing "Change Map View Name" action in toolbar
[Issue #465] Garmin IMG: Extend Tooltip
[Issue #467] Add activity color to track info and graph
[Issue #469] Reduce width of track detail dialog
[Issue #470] Crash when saving geocache
[Issue #471] Fix background color of textboxes and bubble for dark color themes
[Issue #477] BRouter setup issue (Windows)
[Issue #479] Unnecessary extra tag(s) when saving GPX file
[Issue #480] Graph not appearing when activating it
[Issue #481] Project Details: Add a roadbook with progress graphs
[Issue #466] Geocache detecting duplicates
[Issue #266] Scale on printed maps
[Issue #484] MainWindow slope display does not honor slope unit setting
[Issue #394] Added slope row in ruler table
Trk: Increase desity of arrows for tracks with a high track point frequency
BSD Fix: do not access QStringList.first() if list is empty

V 1.13.0
[Issue #298] Live GPS data
[Issue #430] Add waypoint summary to project details
[Issue #436] Route history is buggy and causes data loss when auto-routing is enabled
[Issue #433] Suppress ascent/descent if wrong
[Issue #438] Partially: Support for PROJ 6.0.0
[Issue #429] Add Geocaching Attributes
[Issue #434] Mega-fancy tour description on screen
[Issue #448] Project Details: Add track points with additional information to lists
[Issue #443] Garmin Map: Fixing elevation marks
[Issue #450] Waypoint: copy coordinate to clipboard

V 1.12.3
[Issue #428] natural=water not shown

V 1.12.2
[Issue #419] Add option to project to receive all newly created items
[Issue #417] Only one line of Geocache description
[Issue #421] Improve "edit" view of Geocaches
[Issue #425] Add option to disable device support
Fix: Garmin IMG: Fix type parser to accept sections with zero size
Fix: Plot: make left click more robust to small mouse moves

V 1.12.1
[Issue #390] Ruler: Add steps for distance and angle
[Issue #393] Some Linux dsitributions do not have planetsplitter but routino-planetsplitter
[Issue #395] Filter "Change Speed" Lacks Start Button
[Issue #399] Add filter line edit to map and DEM list
[Issue #400] Selecting item in workspace does not close screen options.
[Issue #403] Cursor is not changing after selecting activity in a graph
[Issue #404] Wrong value for min/max slope labels when % is selected
[Issue #407] Change name of views
[Issue #408] Export of a database is broken
[Issue #413] Crash when closing waypoint dialog
[Issue #412] Bulk edit waypoint proximities
Editor: Add new templates
TrackFilter: Multi loop cutter
TrackFilter: Remove zero speed drift

V 1.12.0
[Issue #334] Database: Moving a folder fails sometimes
[Issue #339] Crash when cutting track in external profile window
[Issue #342] Show links in screen option dialogs for waypoints, tracks, routes, areas
[Issue #346] Add a menu function to replace the elevation value in waypoints for a selection of waypoints.
[Issue #345] TCX: Some symbols get replaced by "Generic"
[Issue #348] Inconsistent menu "Replace elevation by DEM"
[Issue #347] fixed freezing text edit dialog on mac.
[Issue #351] Avoid redundant (Label-) information when drawing Wpt
[Issue #340] Strange window behavior when changing waypoint icons
[Issue #352] Replace QtWebKit by QtWebEngine
[Issue #353] Replace QtScript by QJSEngine
[Issue #343] Display problems after updating QT from 5.10.1 to 5.11.0
[Issue #354] Crash while working with GeoSearch
[issue #355] on BRouter start wait for socket being actualy ready to connect
[Issue #356] QMapShack crashes when closed while BRouter still running
[Issue #338] QMS freezes after installing and selecting BRouter [Windows 10]
[Issue #363] Tracks: Duplicate label for min/max speed
[Issue #366] Plot: Tool tip for additional zoom modes does not show up when zoomed with mouse wheel.
[Issue #367] Trk: Append a list of track points to the invalid trackpoint message box.
[Issue #369] Web Search: Search information about a position in the Web
[Issue #371] QMS hangs when opening GPX file with invalid points
[Issue #372] Unable to get BRouter version
[Issue #373] BRouter server response: connection denied (still occuring)
[Issue #375] Trk Details: Add splitter between track info and tab widget
[Issue #377] Trk: Minimum track width is still too wide
[Issue #378] Add ruler tool for distances.
[Issue #387] VRT Builder: Add line for user defined options.
TwoNav: Fix path for old devices.
TwoNav: Use project name for waypoint file on device.
Trk: Finetune speed filter for cycles
Trk: Add speed filter for mountaineers
Trk: Change coding of activities to allow a larger amount of activities
Garmin: Don't save the <src> element in waypoints when writing to Garmin device
GUI: Unify item selections to use a menu

QMapTool V1.1.0:
Show map layers of JNX export


V 1.11.1
Add: Geo search: Setup for API keys and other login information
Add: Nominatim OSM as search service
Add: Geonames as search service
Add: TwoNav: Read additional data fields hdop, vdop, sat and atemp
Add: Some online sources for DEM.
Add: Replace initial startup text by a short tutorial and add links to Wiki
Fix: Newer TwoNav devices are not found by device watcher
Fix: Avoid connection to MySQL DB when Password dialog is canceled or password is empty.
[Issue #314] VRT Builder can't handle long list of files in Windows
[Issue #315] Improve order of maps in maps tab
[Issue #316] DEM window: list not only .VRT files but also .WCS ones
[Issue #323] Initial offline BRouter tile selection unusable without map background
[Issue #324] FilterReplaceElevation: no indication which view is used as source for DEM data
[Issue #330] Add accumulative search to search item
[Issue #332] Incorrect Elevations when using 'Replace Elevation Data' Filter when Units are set to Imperial
[Issue #328] Use tracks for routing
[Issue #327] ChangeTrackStartpoint - new track filter?
[Issue #280] "Search Google" limitation and possible alternative

QMapTool V1.1.0:
Add: JNX export


V 1.11.0
Add: QMapTool and friends as sub-project
Add: Reverse route
Add: BRoute binding to local address instead of all interfaces
Add: Use track timestamp as arival time for waypoints attached to track
Add: Optional overview generation to vrt builder
Add: Add left button long press action to open menu on canvas
Add: Framework to process and display realtime data
Add: Drop zones to collect items in summary folders of the database
Add: Extend BRouter no-go areas to tracks, routes and areas
Add: Calculate timestamps for tracks depending on the slope for bikes
Fix: Clean up action enabling/disabling for GIS item menus
Fix: Restructure mouse handling to solve some peculiar behavior
[Issue #294] Missing error message in case of wrong map coordinate system
[Issue #305] Nodata value 0 not accepted in VRT
[Issue #289] Add-color-change-for-multiple-tracks

V 1.10.0
* Fine tune code for screen gestures.
[Issue #253] Tracksorting in Datawindow somehow random- should be alphabetical
[Issue #254] Selection in Datawindow does not highligt track on map
[Issue #257] Diagram - Zoom: Center of zoom should be the mouse position
[Issue #276] No-go areas in BRouter
[Issue #279] Suunto SML/LOG : wrong start time
[Issue #285] Do not add auto-increment number to waypoint names that have no number as last character
[Issue #284] Read *.qlb from QLandkarte
[Issue #277] Show position of min/max values for track properties like elevation, speed, etc
[Issue #275] Some Suunto sml files do not have <UTC> in first <sample>
[Issue #274] Make visibility of database a toggle option in the menu
[Issue #256] Option to show inclination in % instead of °
[Issue #272] Skip message box when changing an imported item
[Issue #271] Drag'n drop missing - Openambit files
[Issue #263] Reduce size of y label strings in graphs to avoid unintended truncation
[Issue #270] Ask to hide invalid points when loading a GPX file with invalid points.
[Issue #265] Inconsistent timestamp formats?

V 1.9.1
Add: Fullscreen mode
Add: Templates for project documentation
Add: FIT: added support for location file (containing waypoints).
Add: Trk: Add action to set activity for a group of tracks
Add: VRT Builder: Add advanced options (-a_srs -srcndata -vrtndata)
Add: Optional auto save for projects
Add: Trk: Add activity summary to screen option dialog
Add: Prj: Show activity summary for tracks in project details dialog
Fix: VRT: Test for overviews on multi-band maps, too
Fix: FIT: Fixing missing last segment for records that miss the stop event.
Fix: Progress dialog hides other dialogs in certain window managers
Fix: Workaround CCanvas loss of mousetracking due to modal CProgressDialog
Fix: Jump after pinch gesture
[Issue #245] QMS hangs when entering new track name and window sizing in parallel
[Issue #243] Incosistent behavior of "copy to ..." dialog
[Issue #216] "No activity" statistics column missing in diary
[Issue #248] Regularscreen.png vs. RegularScreen.png

V 1.9.0
Add: Garmin Maps: Allow external TYP files
Add: Filter items on workspace by string
Add: GPX: Support for Cluetrust extensions
Add: Trk: Add filter to add terrain slope as extension
Fix: Issue with time zone in fit files (Zulu instead of local time zone)
Fix: GeoCaches: Fix regex to find attached images
[Issue #84]  Have a floating toolbar with common tools
[Issue #232] Zoom on touchscreen using two fingers is very jumpy
[Issue #226] Display slope under cursor in status bar
[Issue #230] New layout of edit toolbar and POI highlighting
[Issue #229] Failure to add point to track

V 1.8.1
Fix: Various glitches introduced by the new FIT format
Fix: Visual tile artefacts in the DEM layer
[Issue #224] Support pinch-gesture
[Issue #162] Add "keep last version only" function to objects (tracks, etc...)
[Issue #221] Offline BRouter & network access
[Issue #225] BRouter: Renaming tiles fails when updating tiles
[Issue #215] BRouter (offline) issues (Windows)

V 1.8.0
Add: Links to quickstart help
Add: Russian translation
Add: TCX file read and write support
Add: Different cut modes for track cut function
Add: Option for optimized build for local system architecture
Add: Support for BRouter (online/offline)
Add: Enhance reprojection between projections like merc/utm/lcc
[Issue #152] Garmin maps: Alter scale to detail level table
[Issue #189] Fix drawing of range selection in trkptedit mode
[Issue #189] Draw bubble after line to prevent drawing over bubble
[Issue #195] Copy errors in message (file)?
[Issue #198] Logfile encoding
[Issue #201] Provide 'Import GIS data' in database menu
[Issue #204] Option to allow only one QMS instance at one time
[Issue #211] Desired feature: change symbol for multiple selected waypoints
[Issue #213] Adding a Garmin POI as waypoint
[Issue #214] Crash when creating Routino database
[Issue #217] BRouter setup window - not translated string
[Issue #218] CSingleInstanceProxy & Multiuser

V 1.7.2

* Add: Export to GPX V1.1 without extensions
* Add: Copy a track with all attached waypoints.
* Add: Interpolate elevation filter for tracks
* Add: Ctrl+W to close tabs that are not a map view
* Add: Plot: X&Y zoom and drag graph by left mouse button
* Add: Implement filter `Convert SubPoint to Point`
* Add: Database: Export database to folders and GPX files
* Fix: Trk/Prj: Fixed missing update when changing roadbook mode. Disable copy with waypoints when no waypoints attached.
* Fix: Prj: Fix update of project summary when changing the sorting mode
* Fix: Trk: Fix nodata values for elevations applied by filter
* Fix: Garmin: Fix path for devices that use "GARMIN" instead of "Garmin" in their path
* [Issue #168] Invalid GPX 1.1 header?
* [Issue #170] No new project when copying track with waypoints
* [Issue #52] Track/path features in vector maps hidden by track line
* [Issue #171] QMS crashes on "no or bad data"
* [Issue #173] Crash with interpolation preview
* [Issue #175] Invalid timestamps with MapQuest routing?
* [Issue #176] Inconsistent states of diagrams
* [Issue #179] Missing activity color selection
* [Issue #181] Spelling: ascent vs. ascend, descent vs. descend
* [Issue #177] High zoom level when double clicking on waypoint
* [Issue #182] Missing project sorting?
* [Issue #83] Only zoom every 15deg of mousewheel rotation
* [Issue #163] Allow filenames with several '.'
* [Issue #184] Track/Route Edit Mode: Move map with left mouse pressed
* [Issue #117] Implement storing and loading of subpts as subpts

V 1.7.1
* Fix: Compile issue for GCC4

V 1.7.0
* Add: Function to search the database
* Add: Sort items in projects by time or name
* Add: "Copy To..." for projects
* Add: Include waypoint name when creating of a route from waypoints
* Add: Database: Add menu item to copy projects from one folder to another
* Add: Database: Add menu item to move projects from one folder to another
* Fix: No HTML tags for empty strings
* Fix: Checkmark for new folders to prevent deleting data by chance.
* Clean up code for track activities for futur improvements
* [Issue #154]Font size for project description
* [Issue #157] Issue when "Save as" a project from Garmin device
* [Issue #159] File-/Projectnames with dots get truncated
* [Issue #158] QMS incompabilities on different platforms
* [Issue #160] Update of diary after adding a waypoint takes very long time
* [Issue #102] Allow renaming of Groups, Projects, ...


V 1.6.3
* Add FreeBSD support
* Enhance editor for descriptions and comments.
* [Issue #147] Fix bug preventing list formats to be removed
* [Issue #148] Text editor: format of pasted text
* [Issue #149] Properly initialize cachePath for systems without QMS configuration (new installations)

V 1.6.2
* Add support kFreeBSD ports, treat like Linux.
* Add support for GNU/Hurd, treat like Linux.
* Trk: Range Selection: Fix bad pointers if point 1 equals point 2
* Trk: Derive valid/invalid flags for elevation and time
* Trk: Change filter to remove invalid trackpoints due to flags.
* Trk: Optimize waypoint correlation
* Trk: Add visible and total index to trackpoint info
* Wpt: Allow png as custom symbol
* Rte: Add ascend/descend info to routes
* Maps: Implement automatic removal of caches for no longer existing maps
* Maps: VRT Builder: Set file extension in file dialog for target file
* Improve 1st time experience for new users
* DB: Properly handle unusable SQLite databases
* DB: Don't close application if database can not be migrated
* [Issue #128] Show map info on cursor while routing
* [Issue #132] GPX file exported from QMS not accepted by Basecamp, Strava and JOSM
* [Issue #131] Strange behaviour of filters "Change Speed" and "Hide Invalid Points" in extreme situations
* [Issue #134] Possibility to manually edit elevation data of track points (preferably in the table of points)
* [Issue #115] Read namespaces for known extensions from .gpx
* [Issue #48] No http map access behind proxy
* [Issue #30] Create Track of Route
* [Issue #141] Additional information for WP in roadbook
* [Issue #143] %5 3%4%5 {1 m?} is added to some data in points table
* [Issue #144] Crash - reproduceable when viewing track profiles
* [Issue #148] Implement "Paste Plain" for CTextEditWidget

V 1.6.1
* GUI improvements
* Improve render perfomance of DEM layer
* Fix: Geocache image download
* Fix: OS X: Add planetsplitter
* Fix: Bad elevation data if track is created without DEM data loaded
* Add: item selection via selection rectangle in the map view
* Add: Make combine tracks work over several projects
* Add: Add a waypoint by context menu in plots
* Add: Read FIT segments and other fixes of reading FIT format
* [Issue #109] Implement choosing canvas background color
* [Issue #125] Graph issue : previous graph remain displayed when [nothing] is selected
* [Issue #121] Distance Values Choose Km/m Miles/feet
* [Issue #126] No Printing on Windows

V 1.6.0
* Fix: Toggle key focus of on-screen profile
* Fix: Printing correct unit in a plot's xLabel instead of `distance [%1]`
* Fix: CPlot: Replace hardcoded check for TotalElapsedSeconds() with proper values from the source actually used
* Fix: Avoid div-by-zero in case the distance between two points is 0
* Fix: Precision of plot scale for small values
* Fix: Implemented linear interpolation for drawing zoomed plots correctly
* Fix: Avoid drawing tics outside the plotting area
* Add: Additional extensions created by `MIO Cyclo ver. 4.2`
* Add: Map/DEM: Add move up/move down to context menu as alternative to drag-n-drop
* Add: Support for .slf (Sigma Log Format) files
* Add: Support for .fit (Garmin Fitness Format) files
* Add: (Trk) Filter to split a single track containing several segments into several tracks
* Add: (Trk) Filter to remove extension values
* Add: Support for MySQL database
* Add: Support for accessing the database from multiple instances at the same time
* Add: User info to item history
* Add: (Trk) Setup for line width and arrows
* Add: (Trk) line coloring: local, global, automatic setup of limits
* Add: (Trk) plot limits: local, global, automatic setup of limits
* Add: (Trk) colorize track by activity
* Add: Adventures to Garmin devices. Projects are stored as adventure.
* Add: "Archive" folder for Garmin devices.
* Add: Show/hide action for projects on devices.
* Add: Support GEMF raster maps
* Add: Make custom waypoint symbols path configurable
* Add: Reflect partially loaded projects in the checkbox state
* [Issue #80] Selected segment by select tool diseappears when zoom +- or pan
* [Issue #86] Updating map path when adding new maps
* [Issue #91] undo last change crashes qmapshack when drawing a track or a route
* [Issue #89] *.GPX files are not recognized
* [Issue #100] Show file/server when hovering a database
* [Issue #106 ] Profil with no or bad data does not open trackdetails
* [Issue #107] Patches for 'original' & 'debugging' typos
* [Issue #108] Use the correct order of extensions for Garmin TPX1
* [Issue #112] correct display of menu entries on OS-X for all languages.
* A lot of lttle GUI fixes bug fixes and other improvements
* Converted code closer to c++11

V 1.5.1
Line edit: Fix broken abort button

V 1.5.0
* Add track filter to remove track points with invalid position
* Add options to "cut track" function (keep only first or second, keep both)
* Add Dutch translation (not finished yet)
* Add selection of track properties as source for graphs
* Add colorize track by track point properties
* [Issue #68] Bubbles not moving when moving the map
* [Issue #67] "Save Map Screenshot" does not save grid correctly
* [Issue #69] "light gray" colored tracks are displayed in "dark blue" when imported from GPX file
* [Issue #72] Database/Workspace inconsisteny in QMS 1.4.0
* [Issue #70] Removed maximumSize for comboGrades
* [Issue #19] Map-drag resizes or moves window with KDE 5
* Many little bugfixes, some of them causing random crashes

V 1.4.0
* Export selected map area to image or printer
* Add activity to trackpoints to differentiate track statistic
* Add dialog to setup coord. format
* Add option to send console debug output to a logfile
* Add `Show on/Hide from Map` in context menu of one or more projects
* Add closing the `Track Profile` view via keypress ESC
* Add stepwise aborting of current operation in `Add Track/Route/Area` (similar to using right mouse / button `Abort`)
* Fix: Qt5 internal translations for Linux
* Fix: Line Edit usage hint is not removed on abort
* Fix: OS X, various path issues. (icon path, workspace not saved)
* Map: Fix race conditions in WMTS/TMS map handler
* Map: Add hint for missing SSL library when using WMTS/TMS maps
* Map: Slowdown automatic map panning
* Trk: Fix Douglas-Peuker filter
* Trk: Read & write 3rd party track point extensions
* Trk: extend track point info by extension values
* [Issue #57] Trk: Fix color table for green and gray
* [Issue #59] Not possible to change names of empty projects
* [Issue #60] Tab label is not updated when track name is changed
* [Issue #54] In tracks editor, mouse cursor does not change according to selected tool with keyboard shortcut
* [Issue #64] Install QMapShack icon in hicolor theme too.
* [Issue #65] loading routino XML files fixed (added to bundle and support for OS-X specific directory structure).
* [Issue #61] Add average speed to selected area statistics popup
* [Issue #32] Add arrows to indicate edited track direction

V 1.3.1
* Add OS X support.
* Moved to libRoutiono provided by the offcial Routino release
* Add MapQuest as online routing service
* Add edit details dialog for routes
* Display instructions on highlighted routes.
* Speed up projects with many tracks and waypoints
* Add all tracks summary to project details
* Insert new projects on top of device entries in the workspace
* Fix random crashes due to multi threaded data access
* Add device name to extended item name.
* Add "City" waypoint icons
* Fix race condition when creating new items
* Optimize creating new waypoints in a row
* Add a new progress dialog and fix many problems with displaying progress
* Add routes to project details (diary)
* Avoid crash in project details page when switching the sort mode to fast
* Fix random crash when restoring the workspace
* Fix some crashes due to lack of thread serialization
* Project details: Fix crash on resize and other reentrant problems.
* Fix crash when route on-the-fly
* Waypoint details: Move history to tab
* Track profile: Fix DEM line for units other than metric
* History: Add sanity checks when restored from database.
* Plot: Add zoom for x axis
* Replaced CGetOpts with Qt QCommandLineParser
* [Issue #33] Add a summary table (distance, ascent, descent) when editing tracks
* [Issue #34] First point of edited track does not behave as next ones
* [Issue #35] Routing using Routino : crash when route is too long
* [Issue #37] "Select" tool issue when editing tracks
* [Issue #39] Not possible to change names of objects with no name
* [Issue #31] Add hotkeys for track editor buttons
* [Issue #49] Hide screen option when buttons are pressed.
* And many other small fixes...

V 1.3.0
* Cluttered items select: make text sensitive, too
* TwoNav: Fix problems with decoding records created with old firmware.
* [Issue #20] Add command "Duplicate View"
* Ask for saving chnages when closing db project via db folder check box
* Rework user interface to edit line items (tracks, routes, areas)
* Add Routino as offline auto-router
* Add GUI tool to create Routino database files
* Rte: Create route from selected waypoints
* Complete lines via router in line edit mode
* View: Fix bad scaling on startup when using square scale
* [Issue #25] Saved tracks get wrong timestamps
* [Issue #23] Update French translation and fix missleading translation
* Trk/Wpt: Make track/waypoint correlation an option if it takes too long.
* Workspace: Add warning when loading a project twice
* Speed up project file loading
* Trk: Allow combining tracks for tracks on devices.
* Trk: Allow pre-selection of several tracks for combining tracks
* Many GUI fixes and code cleanup.

V 1.2.2
* TwoNav: Find wpt files created from device in the TwoNavData folder
* Wpt: Display waypoint description/comment as bubble
* Add option to choose between long and short date/time format
* Proj/Trk: Add new sort mode to attach waypoints only once to a track

V 1.2.1
* Add drag-n-drop of gpx and qms files to QMapShack
* Fix wait cursor when asking to save project
* [Issue #15] Using Garmin IMG files crashes on machines with small memory
* [Issue #16] In Title-bar no Shutdown (Close QMapShack) entry
* QlgtDB: Convert distance overlays to tracks
* Fix several issues with range selection
* Unlock items automatically on edit functions
* Database projects: Append name with name of parent database folder or device name
* Set write flag for items copied from devices.
* Database: Ask before updating items in database
* Add project  to database directly from workspace
* Wpt: Simplyfy adding new waypoints

V 1.2.0
* TwoNav: prepend HTML file for waypoint comment with QMS_CMT
* Devices: Warn if there is a file/path with the same name, but different key
* TwoNav: Link comment file to roadbook waypoints.
* Track: Enhance range selection
* Track: Add range selection to plots
* Canvas: Add option to choose between logarithmic and square scale.
* Add button to add a selection online maps
* Fix: Some waypoints do not snap on track
* [Issue #14] Issue a warning when closing an unsaved project

V 1.1.0
* Garmin Mpas: fix line breaks of tooltips
* Project summary: Add roadbook mode
* TwoNav: export tracks and waypoints as roadbook
* Grid: Fixed swaped numbers for northing and easting
* Tracks: Toggle between small OSD profile and extended profile
* Tracks: Several fixes for range selection
* Tracks: Show waypoints along track in profile plot

V 1.0.1
* [Issue #11]Exclude items not visible from highlighting
* Fix track edit hangup for tracks with corrupted timestamps
* GPX: fix bad loading of trak colors from GPX
* Add menu to track graphs to save graph to PNG
* [Issue #7] Store/restore list of active maps into/from a file
* Disable lock button for items on devices

V 1.0.0
* Update Czech, French, German and Spanish translation
* Fix dialogs hiding behind main window
* Fix various application crashes
* Fix tile cache growing too large
* Fix cliff polylines in Garmin maps
* Add device support on Windows
* Various little GUI optimizations

V 1.0.beta1
* Add support for TwoNav units
* Load/Restore images attached to waypoints on devices
* Add spoiler download to geocaches.
* Add group update for projects on devices.
* GUI cleanup and little fixes

V 0.12.0
* Fix: Workspace is not saved on Windows.
* Fix: Bad track color names
* Add device watcher for Linux
* Add basic device support for newer Garmin units.

V 0.11.0
* Auto-switch projection for pole caps in track plot
* Fix several issues with elements derived from existing ones still having the same key.
* Add project diary (project details)
* Add track filter to reset hidden track points to visible
* Save only changed items to database (speed up)
* Add photo album and viewer to waypoint details

V 0.10.0
* Fix crash when saving a DB project before the database tree has been opened
* Add track filters to hide trackpoints
* Add track filters to change elevation
* Add track filters to change timestamp
* Add DEM layer to colorize the slope
* Fix issue with duplicate key when reversing a track
* Add project selection for all track operations

V 0.9.1
* Complete function of 'Lost & Found' folder
* Add copy function to all items including dialog to select copy action.
* Workspace: move status column to column 0

V 0.9.0
* Fix sign of area calculation
* Mark item with user focus in item unclutter screen
* Add support for multiple databases
* Add converter for QLandkarte GT to QMapShack database

V 0.8.2
* Calculate area covered by area overlays
* Change coordinate format for long/lat grid from dd mm.mm to dd.dddddd
* Add edit widget for project details
* Add drag-n-drop for multiple GIS items
* Enhance delete of multiple items

V 0.8.1
* Handle "no data" values in DEM files
* Garmin maps: read copyright information
* Save/Restore workspace on exit/start

V 0.8.0
* Add unit setup (metric, imperial, nautical)
* Add data serialization for track, waypoint, route and area
* Add binary *.qms format to store projects without any loss of data
* Enhance item history to perform full undo and redo
* Many little fixes and enhancements

V 0.7.0
* Add Google GIS search
* Add support for TMS maps
* Snap to line for track and area edit

V 0.6.0
* Reverse tracks
* Add dialog to combine tracks
* Add range select to tracks
* Add function to hide/show track points
* Add function to copy selected track points as new track

V 0.5.0
* Add support for WMTS maps
* Edit/create tracks
* Edit/create area overlays
* Add contrast factor to hillshading

V 0.4.0
* Add position dialog to "add waypoint"
* Beautify waypoint edit dialog
* Add on-screen information and detail dialog for tracks
* Add drag-n-drop to workspace list to move items (draw order & copy between projects)

V 0.3.1
* another favour for Debian release
* Added "Add Waypoint" to mouse context menu

V 0.3.0.bureaucratic
* Add copyright notice to GpxExamples to satisfy bureaucrats @ debian

V 0.3.0
* A lot of little fixes to prevent crashes and glitches due to multithreading
* Take special care of the +-180 degree problem
* Add RGB support to raster maps
* Add a lot of cursor stuff to select items and to display on-screen-options
* Add timezone support
* Add dialog to view/edit waypoint data
* Add 'moving waypoint' and 'project waypoint' as functions to on-screen-options
